Skip to main content
GET
Retrieve Orders based on Invoices that belong to a Company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

search[datagrid]
string

Search string for datagrid queries

search[invoice][datagrid]
string

Search string for invoice datagrid queries

filter[states]
array

States based on the resource (e.g. Order states or Job states)

filter[department_ids]
array

The associated Department IDs. Use 'none' to filter for records without a Department.

filter[collaborator_ids]
array

The associated Collaborator IDs

filter[salesperson_ids]
array

The associated Salesperson IDs

filter[requester_ids]
array

The associated Requester IDs

sort[created_at]
string

Sort by Created At timestamp asc or desc

sort[friendly_order_id]
string

Sort by Friendly Order ID asc or desc

sort[account][name]
string

Sort by the associated Account's Name asc or desc

Sort by the associated Company's Legal Name asc or desc

filter[invoice][start_date]
string

Start date range for Invoice

filter[invoice][end_date]
string

End date range for Invoice

filter[invoice][invoice_category]
string

The Invoice category filter. See InvoiceCategoryFilter for accepted values.

filter[invoice][grouped]
boolean

Only show Invoices that are part of a Settlement

filter[invoice][invoiceable_type]
string

InvoiceableType enum filter (e.g. Job, DriverDay)

filter[invoice][states]
array

States based on the Invoice

filter[invoice][rate_types]
array

Array of rate types to filter by for Invoice

filter[invoice][vendor_account_ids]
array

The associated Vendor Account IDs for the Invoice

filter[invoice][customer_account_ids]
array

The associated Customer Account IDs for the Invoice

filter[invoice][pickup_site_ids]
array

The associated Pickup Site IDs for Invoice

filter[invoice][dropoff_site_ids]
array

The associated Dropoff Site IDs for the Invoice

filter[invoice][driver_ids]
array

The assigned Driver IDs for the Invoice

filter[invoice][company_id]
string<uuid>

The associated Company ID of the Invoice

filter[project_ids]
array

The associated Project IDs

Response

OK

data
Order-Read · object[]
required